#ifndef WINDOWMANAGER_H
#define WINDOWMANAGER_H

#include <raylib.h>


class WindowManager
{
    public:
        WindowManager(char* title, float screen_width, float screen_height);
        void UpdateScale ();
        void Display ();
        RenderTexture2D Screen;
        RenderTexture2D ScaledScreen;
    
    private:

        char* _title;
        float _screenWidth;
        float _screenHeight;
        double _aspectRatio;

        int _scaledWidth;
        int _scaledHeight;



};

#endif
