#ifndef SQUARE_H
#define SQUARE_H

#include <raylib.h>
#include <map>
#include <string>
#include <memory>


class Chunk
{
    public:
        Chunk(int x, int y, int size, Color color);
        void Draw();
        void LoadTextures(std::map<std::string, Texture2D*> textures);

    private:
        int chunkTiles[8][8];
        int m_x;
        int m_y;
        int m_size;
        Color m_color;
        std::map<std::string, Texture2D*> myMap;

};

#endif
